Bug 146145 - FILEOPEN ODT Track changing accept and reject functions of changed table rows
Summary: FILEOPEN ODT Track changing accept and reject functions of changed table rows
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2 inR...
Keywords: filter:odt
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-12-09 12:40 UTC by NISZ LibreOffice Team
Modified: 2022-01-22 09:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-12-09 12:40:07 UTC
Description:
In Writer at enabled track changes it should be an Accept and a Reject function in local menu if table rows are changed

Steps to Reproduce:
1. Open Writer
2. Insert a table and write some text
3. Enable track changing
4. Edit table

Actual Results:
There is no accept or reject function in local menu

Expected Results:
It should be accept or reject function is local menu


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3a61cce54277fd12570103a191c50d9b37ef3dd3
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 László Németh 2021-12-14 09:35:21 UTC
tdf#146145 sw: 1-click Accept/Reject of table row changes

Now context menu of a changed table row shows Accept Change/
Reject Change menu items, which accept or reject
the deletion or insertion of the table row.
Also Accept Change/Reject Change icons of the Track Changes
toolbar are enabled, and do the same, if the cursor is not
before or in a tracked change.

Add the following labels to the Undo actions:

"Accept change: Row Inserted"
"Accept change: Row Deleted"
"Reject change: Row Inserted"
"Reject change: Row Deleted"
Comment 2 Commit Notification 2021-12-14 09:35:36 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/95c003d75e0f8b255344715a35358072b5eba99d

tdf#146145 sw: 1-click Accept/Reject of table row changes

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-12-14 15:09:56 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/c50dbeaac64a24c9afd9825fc91ace9482802557

tdf#146145 sw: 1-click Accept/Reject of table row changes

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2022-01-04 13:04:38 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8f0ce842dffe229d31bd9841ac6e999da1ae976d
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 5 stragu 2022-01-22 09:35:32 UTC
also verified as fixed in 7.3:

Version: 7.3.0.2 / LibreOffice Community
Build ID: f1c9017ac60ecca268da7b1cf147b10e244b9b21
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded